{

  "AbilityName": "RandomSkill_Follower_Magic_IceStigma_ChangePos",

  "AbilityStacking": "Unique",



  "OnAbilityStart":

  [

    {

      "$type": "MoleMole.ApplyModifier",

      "ModifierName": "FollowTypeModifier",

      "Target": "Caster"

    },



    {

      "$type" : "MoleMole.ApplyModifier",

      "ModifierName" : "HideFollowerModifier",

      "Target" : "Caster"

    }

  ],



  "Modifiers":

  {

    "FollowTypeModifier":

    {

      "ModifierStacking": "MultipleRefresh",

      "Duration": 0.1,

      "OnAdded":

      [

        {

          "$type": "MoleMole.ModifyFollowerFollowTypeAction",

          "FollowType": "ModifyPosReferCamera",

          "Avatar2CamAngle": 240,

          "Avatar2CamRadius": 0,

          "Avatar2CamHeight": 1,

          "PosLerpRatio": 0

        }

      ],



      "OnRemoved":

      [

        {

          "$type": "MoleMole.ModifyFollowerFollowTypeAction",

          "FollowType": "ModifyPosReferCamera",

          "Avatar2CamAngle": 240,

          "Avatar2CamRadius": 0,

          "Avatar2CamHeight": 1,

          "PosLerpRatio": 0.1

        }

      ]

    },



    "HideFollowerModifier":

    {

      "ModifierStacking": "Refresh",

      "Duration": 0.1,

      "OnAdded":

      [

        {

          "$type": "MoleMole.SetFollowerInvisibleAction",

          "IsInvisible": true

        }

      ]

    }

  }

}